#!/bin/sh
#
# Start eswin fan daemon
#

case "$1" in
	start)
		echo "Starting eswin fan daemon..."
		/usr/bin/es-fand
		;;

	stop)
		echo "Stopping eswin fan daemon..."
		pkill -f '/usr/bin/es-fand'
		if [ $? -eq 0 ]; then
			echo "eswin fan daemon stopped successfully."
		else
			echo "Failed to stop eswin fan daemon."
		fi
		;;

	restart|reload)
		$0 stop
		$0 start
		;;
	*)
		echo "Usage: $0 {start|stop|restart}"
		exit 1
esac

exit $?

